[arch-commits] Commit in pwgen/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 17 00:54:28 EDT 2009


    Date: Friday, April 17, 2009 @ 00:54:28
  Author: eric
Revision: 35781

upgpkg: pwgen 2.06-1
    Upstream update, Added license, FHS man pages

Modified:
  pwgen/trunk/PKGBUILD

----------+
 PKGBUILD |   19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-17 04:52:28 UTC (rev 35780)
+++ PKGBUILD	2009-04-17 04:54:28 UTC (rev 35781)
@@ -3,20 +3,19 @@
 # Contributor : Tobias Powalowski <t.powa at gmx.de>
 
 pkgname=pwgen
-pkgver=2.05
+pkgver=2.06
 pkgrel=1
-pkgdesc="Pwgen is a small, GPL'ed password generator which creates passwords which can be easily memorized by a human"
+pkgdesc="Pwgen is a small password generator which creates passwords which can be easily memorized by a human"
 arch=("i686" "x86_64")
 url="http://sourceforge.net/projects/pwgen/"
+license=('GPL')
 depends=('glibc')
 source=(http://downloads.sourceforge.net/sourceforge/pwgen/$pkgname-$pkgver.tar.gz)
-md5sums=('b94546a346cb352054ea2d3d09f7f885')
+md5sums=('935aebcbe610fbc9de8125e7b7d71297')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-   ./configure --prefix=/usr
-   make || return 1
-   mkdir -p $startdir/pkg/usr/{bin,man/man1}
-   cp $startdir/src/$pkgname-$pkgver/pwgen $startdir/pkg/usr/bin
-   cp $startdir/src/$pkgname-$pkgver/pwgen.1 $startdir/pkg/usr/man/man1
- }
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
+}



More information about the arch-commits mailing list